Main Page | Namespace List | Class Hierarchy | Alphabetical List | Class List | File List | Namespace Members | Class Members | File Members | Related Pages

# Tools/Math/Matrix_nxn.h File Reference

Contains class Matrix_nxn. More...

`#include "MVTools.h"`
`#include "Vector_n.h"`

Include dependency graph for Matrix_nxn.h:

This graph shows which files directly or indirectly include this file:

Go to the source code of this file.

## Classes
class | Matrix_nxn
| Represents a nxn matrix of type T. More...
## Defines
#define | MATRIX_NXN_HEAP
## Functions
template<class T, size_t N> Matrix_nxn< T, N > | operator * (const Matrix_nxn< T, N > &m1, const Matrix_nxn< T, N > &m2)
| Operator * for matrix-matrix multiplication.
template<class T, size_t N> Matrix_nxn< T, N > | operator+ (const Matrix_nxn< T, N > &m1, const Matrix_nxn< T, N > &m2)
| Operator + for matrix additions.
template<class T, size_t N> Matrix_nxn< T, N > | operator- (const Matrix_nxn< T, N > &m1, const Matrix_nxn< T, N > &m2)
| Operator - for matrix subtractions.
template<class T, size_t N> Vector_n< T, N > | operator * (const Matrix_nxn< T, N > &m, const Vector_n< T, N > &v)
| Operator * for matrix-vector multiplication.
template<class T, size_t N> Matrix_nxn< T, N > | operator/ (const Matrix_nxn< T, N > &m1, const Matrix_nxn< T, N > &m2)
| Divides first matrix by second matrix (multiplicates with inverse of second matrix).

## Detailed Description

Contains class Matrix_nxn.

Author:
  Stefan Uhrig

Definition in file Matrix_nxn.h.

## Define Documentation

#define MATRIX_NXN_HEAP

| Definition at line 11 of file Matrix_nxn.h.

## Function Documentation

template<class T, size_t N>
Matrix_nxn< T, N > operator * | ( | const Matrix_nxn< T, N > & | m1,
|  | const Matrix_nxn< T, N > & | m2
| ) |

  | Operator * for matrix-matrix multiplication. Parameters:
  m1 | First matrix
  m2 | Second matrix
Returns: m1*m2 Complexity: n^3 Definition at line 708 of file Matrix_nxn.h. References MVTools::isNearInf(), and MVTools::isNearPosInf().

Here is the call graph for this function:

template<class T, size_t N>
Matrix_nxn<T, N> operator+ | ( | const Matrix_nxn< T, N > & | m1,
|  | const Matrix_nxn< T, N > & | m2
| ) |

  | Operator + for matrix additions. Parameters:
  m1 | First matrix
  m2 | Second matrix
Returns: m1+m2 Complexity: n^2 Definition at line 674 of file Matrix_nxn.h.

template<class T, size_t N>
Matrix_nxn<T, N> operator- | ( | const Matrix_nxn< T, N > & | m1,
|  | const Matrix_nxn< T, N > & | m2
| ) |

  | Operator - for matrix subtractions. Parameters:
  m1 | First matrix
  m2 | Second matrix
Returns: m1-m2 Complexity: n^2 Definition at line 691 of file Matrix_nxn.h.

template<class T, size_t N>
Vector_n<T, N> operator * | ( | const Matrix_nxn< T, N > & | m,
|  | const Vector_n< T, N > & | v
| ) |

  | Operator * for matrix-vector multiplication. Parameters:
  m | Matrix
  v | Vector
Returns: m*v Complexity: n^2 Definition at line 742 of file Matrix_nxn.h. References MVTools::isNearInf(), and MVTools::isNearPosInf().

Here is the call graph for this function:

template<class T, size_t N>
Matrix_nxn<T, N> operator/ | ( | const Matrix_nxn< T, N > & | m1,
|  | const Matrix_nxn< T, N > & | m2
| ) |

  | Divides first matrix by second matrix (multiplicates with inverse of second matrix). Parameters:
  m1 | First matrix
  m2 | Second matrix
Returns: m1 & m2 Complexity: n^3 Definition at line 773 of file Matrix_nxn.h. References Matrix_nxn< T, N >::invert().

Here is the call graph for this function: